/* platform.h */ 
/* Functions which talk to the underlying operating system and may have OS-specific implementations. */

#ifndef PX_PLATFORM_H
#define PX_PLATFORM_H

#include <string>

std::string file_get_contents(char* path);

std::string dirname_from_path(std::string path);

void set_working_directory(const char* path);

std::string get_working_directory();

#endif
